import Vue from 'vue'
import Router from 'vue-router'
import Error from '@/views/error/error'
import Login from '@/views/login/login'
import Main from '@/views/modules/main'
import User from '@/views/modules/user/user'
import Appointment from '@/views/modules/appointment/appointment'
import Config from '@/views/modules/config/config'

Vue.use(Router)

export default new Router({
  mode: 'history',
  routes: [
    {
      path: '/',
      alias: '/login',
      name: 'Login',
      component: Login
    },
    {
      path: '/main',
      name: 'Main',
      component: Main,
      children: [
        {
          path: 'user',
          name: 'user',
          component: User
        },
        {
          path: 'appointment',
          name: 'appointment',
          component: Appointment
        },
        {
          path: 'config',
          name: 'config',
          component: Config
        }
      ]
    },
    {
      path: '*',
      name: 'Error',
      component: Error
    }
  ]
})
